IncidentRecordProxy (CMDB Model API)
Keywords: com.collation.platform.model.topology.process.itil.IncidentRecordProxy interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.process.itil
Interface IncidentRecordProxy

All Superinterfaces:
  ConfigurationItem, ExternalReference, ManagedElement, ModelObject, java.io.Serializable

    public interface IncidentRecordProxy

extends ExternalReference, ManagedElement, ConfigurationItem

A proxy to an Incident Record managed by an MSS external to the CMDB.

Naming Rules:
  0="parent,ITSMIncidentID" 1="foreign,foreignIncidentID"
Persistable:
  true
Table Name:
  INCIDRECPROXY
Display Name:
  ITSMIncidentID

Field Summary

Fields inherited from interface com.collation.platform.model.topology.process.ExternalReference
`IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`IBM_COPYRIGHT`

Method Summary
`long` | `getCloseDate()`
`IncidentRecordProxy` | `getDuplicateOf()`
`ManagementSoftwareSystem` | `getForeign()`
`java.lang.String` | `getForeignIncidentHandle()`
`java.lang.String` | `getForeignIncidentID()`
`java.lang.String` | `getITSMIncidentHandle()`
`java.lang.String` | `getITSMIncidentID()`
`long` | `getOpenDate()`
`ManagementSoftwareSystem` | `getParent()`
`java.lang.String` | `getTitle()`
`boolean` | `hasCloseDate()`
`boolean` | `hasDuplicateOf()`
`boolean` | `hasForeign()`
`boolean` | `hasForeignIncidentHandle()`
`boolean` | `hasForeignIncidentID()`
`boolean` | `hasITSMIncidentHandle()`
`boolean` | `hasITSMIncidentID()`
`boolean` | `hasOpenDate()`
`boolean` | `hasParent()`
`boolean` | `hasTitle()`
`void` | `setCloseDate(long ts)`
`void` | `setDuplicateOf(IncidentRecordProxy p)`
`void` | `setForeign(ManagementSoftwareSystem foreign)`
`void` | `setForeignIncidentHandle(java.lang.String s)`
`void` | `setForeignIncidentID(java.lang.String s)`
`void` | `setITSMIncidentHandle(java.lang.String s)`
`void` | `setITSMIncidentID(java.lang.String s)`
`void` | `setOpenDate(long ts)`
`void` | `setParent(ManagementSoftwareSystem parent)`
`void` | `setTitle(java.lang.String s)`

Methods inherited from interface com.collation.platform.model.topology.process.ExternalReference
`getExternalHandle, getManagedElements, getMSS, hasExternalHandle, hasManagedElements, hasMSS, setExternalHandle, setManagedElements, setMSS`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getDuplicateOf

    IncidentRecordProxy getDuplicateOf()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.SameAs" reverse="false"

### setDuplicateOf

    void setDuplicateOf(IncidentRecordProxy p)

### hasDuplicateOf

    boolean hasDuplicateOf()

### getParent

    ManagementSoftwareSystem getParent()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setParent

    void setParent(ManagementSoftwareSystem parent)

### hasParent

    boolean hasParent()

### getForeign

    ManagementSoftwareSystem getForeign()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setForeign

    void setForeign(ManagementSoftwareSystem foreign)

### hasForeign

    boolean hasForeign()

### getITSMIncidentID

    java.lang.String getITSMIncidentID()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setITSMIncidentID

    void setITSMIncidentID(java.lang.String s)

### hasITSMIncidentID

    boolean hasITSMIncidentID()

### getITSMIncidentHandle

    java.lang.String getITSMIncidentHandle()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setITSMIncidentHandle

    void setITSMIncidentHandle(java.lang.String s)

### hasITSMIncidentHandle

    boolean hasITSMIncidentHandle()

### getForeignIncidentID

    java.lang.String getForeignIncidentID()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setForeignIncidentID

    void setForeignIncidentID(java.lang.String s)

### hasForeignIncidentID

    boolean hasForeignIncidentID()

### getForeignIncidentHandle

    java.lang.String getForeignIncidentHandle()
                                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setForeignIncidentHandle

    void setForeignIncidentHandle(java.lang.String s)

### hasForeignIncidentHandle

    boolean hasForeignIncidentHandle()

### getTitle

    java.lang.String getTitle()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTitle

    void setTitle(java.lang.String s)

### hasTitle

    boolean hasTitle()

### getOpenDate

    long getOpenDate()
                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setOpenDate

    void setOpenDate(long ts)

### hasOpenDate

    boolean hasOpenDate()

### getCloseDate

    long getCloseDate()
                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCloseDate

    void setCloseDate(long ts)

### hasCloseDate

    boolean hasCloseDate()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD